Home » Developer & Programmer » Forms » IS Oracle Forms/Reports 4.5 supported on database 9i?
icon5.gif  IS Oracle Forms/Reports 4.5 supported on database 9i? [message #303410] Fri, 29 February 2008 04:50 Go to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member

IS Oracle Forms/Reports 4.5 supported on database 9i?


My application is running on Form/Reprots 4.5 and 7.3.4 database in WIN2003 server. we have upgraded the database to 9i Release 2. After the upgrade terminate, i become unable to connect to my database from my application forms 4.5.
TNSNAME is OK.
Listener is OK.

Can i connect from Forms/Reports 4.5 to 9i Release 2 Oracle database?

thanx in advance0
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #303454 is a reply to message #303410] Fri, 29 February 2008 07:12 Go to previous messageGo to next message
Littlefoot
Messages: 20901
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
"Being unable" to do something isn't very descriptive. What does it, actually, mean? Is there any error message? If so, which one?

Other than that, I *think* that Forms 4.5 *should* work with 9i database (backward compatibility). Regarding the fact that both products are quite old (Forms especially), perhaps you should consider upgrading your application as well.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #303627 is a reply to message #303454] Sat, 01 March 2008 04:55 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
Thank you for reply.

In fact, our application is very big and we don't want to upgrade it now. so we looking for a way to connect to the database just for a moment.
the erreur that the application gives me is:
ORA-03113 err connect text.

but it can gives me another code errors with the same text " err connect text"
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #303638 is a reply to message #303627] Sat, 01 March 2008 05:50 Go to previous messageGo to next message
Littlefoot
Messages: 20901
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
This is what Oracle says about it:
Oracle
ORA-03113: end-of-file on communication channel

Cause: The connection between Client and Server process was broken.

Action: There was a communication error that requires further investigation. First, check for network problems and review the SQL*Net setup. Also, look in the alert.log file for any errors. Finally, test to see whether the server process is dead and whether a trace file was generated at failure time.

Did you perform all actions suggested above?
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #303829 is a reply to message #303638] Sun, 02 March 2008 23:53 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
I think it should work okay but be careful if you are using 'rowid' in your block as it is bigger in Oracle DB 9 than Oracle DB 7.

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304169 is a reply to message #303410] Tue, 04 March 2008 07:06 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
After viewing the alert.log and see again the network configuration. I think that's still the same error.
In addition i have installed an Oracle 7 Client to connect to the 9i database and it is worked.
the only problem is when i wont to connect to the 9i database from my application 4.5 (sqlplus 3.2).
Another thing to inform you is when i have installed the oracle server 9i with his default database, this database can be connected from forms 4.5 but when i try to create a new database with the assistant and try to connect from forms 4.5 it give the error.
how i can verify my ROWID ??
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304309 is a reply to message #304169] Tue, 04 March 2008 17:38 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
On what platform are you running your Forms? Is this the same platform as previously?

Can you get your 4.5 Forms Builder to 'sign-on' to the Oracle 9i database?

Can you get a sample form to compile?

Oracle DB 7 uses a 18 byte ROWID (00000DD5.0000.0001) and Oracle DB 8 and higher uses the same length but with a different format (AAAAECAABAAAAgiAAA). The higher DBs also have a UROWID data type.

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304510 is a reply to message #303410] Wed, 05 March 2008 07:53 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
hello david
both the database and forms 4.5 application running on windows 2003/ client xp.
i will explain:
1-installation oracle 9i server with a universal database db1(default) --> connexion from forms 4.5 succes.
2-create a new database db2 with the assistant --> connexion from forms 4.5 failed

WHY???????

[Updated on: Wed, 05 March 2008 07:54]

Report message to a moderator

Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304613 is a reply to message #304510] Wed, 05 March 2008 17:11 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
Repeat:
Is this the same platform as previously?

Is "oracle 9i server" an Application Server or Database Server?

You have defined 'db2' in tnsnames.ora haven't you?

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304682 is a reply to message #303410] Thu, 06 March 2008 02:11 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
Oracle 9i server is a database server.
db2 is in the tnsname and listener.
i can connect from a distant client 9i or 7.3.4 to db2 but not from the application forms 4.5(db2 is in tnsname.ora).
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304814 is a reply to message #304682] Thu, 06 March 2008 16:58 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
I repeat:
On what platform are you running your Forms? Is this the same platform as previously?

Can you get your 4.5 Forms Builder to 'sign-on' to the Oracle 9i database?

Can you get a sample form to compile?

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #304971 is a reply to message #303410] Fri, 07 March 2008 06:26 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
Yes it is running in the same platform as previously.
i cann't get my 4.5 Forms Builder to 'sign-on' to the Oracle 9i database.

no sample form to compile.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #305470 is a reply to message #304971] Mon, 10 March 2008 19:20 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
How many 'tnsnames.ora' files do you have on your PC?

Are you using the 'ifile' or 'tns_admin' method to point to a single example of the 'tnsnames.ora' file?

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #305681 is a reply to message #305470] Tue, 11 March 2008 09:37 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
Thnks David for reply

i have one tnsname.ora in my pc.
I didn't understand the second question.

Sincerly.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #307164 is a reply to message #305681] Tue, 18 March 2008 01:09 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
Have you solved your problem? Please PM me your answer.

David
icon9.gif  Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #307278 is a reply to message #307164] Tue, 18 March 2008 05:41 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
NO NOT YET.
I always wait for your help. Embarassed Sad
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #307477 is a reply to message #307278] Wed, 19 March 2008 00:03 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
Ok, maybe Oracle Forms 4.5 is NOT compatible with Oracle DB 10g. I know many people have told me that but I had never got around to testing it.

There is a compatibility matrix for Forms and data base on OTN. You might like to have a look for it.

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #308449 is a reply to message #307477] Mon, 24 March 2008 06:32 Go to previous messageGo to next message
abd2000
Messages: 9
Registered: January 2008
Junior Member
Sorry

But my DB is on 9i not in 10g.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #308921 is a reply to message #308449] Tue, 25 March 2008 23:30 Go to previous messageGo to next message
djmartin
Messages: 10180
Registered: March 2005
Location: Canberra ACT Australia
Senior Member
Account Moderator
The other method is to install an Oracle 8i database and use database links from the 8i database to the tables etc in the 9i database. Then connect to the Oracle8i database from Forms 4.5

David
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #551309 is a reply to message #303410] Tue, 17 April 2012 02:58 Go to previous messageGo to next message
chandan.rattan
Messages: 84
Registered: December 2008
Location: India
Member

hi Guys.....i know its been very long...But if this problem is solved or not. ???
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #551316 is a reply to message #551309] Tue, 17 April 2012 03:42 Go to previous messageGo to next message
cookiemonster
Messages: 12422
Registered: September 2008
Location: Rainy Manchester
Senior Member
Looking at what's been posted I imagine forms 4.5 and oracle 9i simply aren't compatable.
Since both are long out of support I can only suggest you upgrade both to 10g or preferably 11g.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #551319 is a reply to message #551316] Tue, 17 April 2012 03:47 Go to previous messageGo to next message
chandan.rattan
Messages: 84
Registered: December 2008
Location: India
Member

well actually i was trying to connect form4.5 and it was connecting.After that i have installed the forms 6i and form 10g.After installation, Its not getting connected to DB.I think its compatible only, but some where some others issues are there.Not able to identify, but sure forms4.5 can be connect using oracle 10g.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #551321 is a reply to message #551319] Tue, 17 April 2012 04:15 Go to previous messageGo to next message
Littlefoot
Messages: 20901
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
Perhaps you ran into multiple TNSNAMES.ORA files issue? Search the board for TNS_ADMIN environment variable, maybe it'll help.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #551322 is a reply to message #551321] Tue, 17 April 2012 04:26 Go to previous messageGo to next message
chandan.rattan
Messages: 84
Registered: December 2008
Location: India
Member

Hi.What do u mean by "Search the board for TNS_ADMIN environment variable" ? where can u find it ?
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #551323 is a reply to message #551322] Tue, 17 April 2012 04:33 Go to previous messageGo to next message
Littlefoot
Messages: 20901
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
This is search facility.

TNS_ADMIN I was talking about.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #552201 is a reply to message #551323] Tue, 24 April 2012 05:25 Go to previous messageGo to next message
chandan.rattan
Messages: 84
Registered: December 2008
Location: India
Member

hi thanks Littlefoot.....Now my application is working with form 4.5.Only problem now facing is that while running the reports its getting hanged and getting closed.But one of My friends's pc everything is working fine.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #552210 is a reply to message #552201] Tue, 24 April 2012 06:14 Go to previous messageGo to next message
Littlefoot
Messages: 20901
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
Try to compare your and your friend's configuration (both hardware and software); maybe you'll find something interesting and, above all, useful.
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #552211 is a reply to message #552210] Tue, 24 April 2012 06:18 Go to previous messageGo to next message
chandan.rattan
Messages: 84
Registered: December 2008
Location: India
Member

hmm..Actually i was told that i had to uninstall all forms version i.e. FOrm 4.5 ,Form 6i and Form 10gr2.And install it again.I don't want to take pain doing this again.So for now i am just managing it.But for your sure, if i get anything useful, i will share with all. thanks man Smile
Re: IS Oracle Forms/Reports 4.5 supported on database 9i? [message #552237 is a reply to message #552211] Tue, 24 April 2012 07:54 Go to previous message
Littlefoot
Messages: 20901
Registered: June 2005
Location: Croatia, Europe
Senior Member
Account Moderator
If your computer is powerful enough, consider installing VirtualBox. Create 3 virtual machines. Install, say, Windows XP onto each of them. Then install Forms 4.5 to the first one, Forms 6i to the second one, and Forms 10g to the third one. Doing so, you'd have them separate which would make possible future reinstallations very simple (you'd just reformat virtual machine and start over. It is not a bad idea to backup a clean virtual machine and then repeatedly use it when necessary).

Anyway, good luck with solving your problems!
Previous Topic: Update help (merged 2)
Next Topic: restrict user to enter serial numbers of a product in 3 level block
Goto Forum:
  


Current Time: Sat Dec 10 04:58:51 CST 2016

Total time taken to generate the page: 0.10913 seconds